@echo off
rem --- 'boy_collector.cmd' v3.9.1 by KdL (2022.11.27)

set VERSION=3.9.1
set VER=391

set TIMEOUT=1
set PROJECT=emsx_top
set DEST=PLD%VER%.BOY\
if "%1"=="" color 1f&title PLD collector tool for MSX Boy
if not exist pldflash.com goto err_PLDFLASH_COM
rd /S /Q %DEST% >nul 2>nul
md %DEST% >nul 2>nul
copy pldflash.com %DEST%PLDFLASH.COM >nul 2>nul
call :create_BFLASH_BAT
rem --- MSX Boy ---
set FNAME=BOY
call :collect_all
if not exist %DEST%*.PLD rd /S /Q %DEST% >nul 2>nul

:collect_all
set YENSLASH=backslash
set LAYOUT=BR
call :collect_%FNAME%
set LAYOUT=ES
call :collect_%FNAME%
set LAYOUT=FR
call :collect_%FNAME%
set LAYOUT=US
call :collect_%FNAME%
set YENSLASH=yen
set LAYOUT=JP
call :collect_%FNAME%
goto:eof

:collect_BOY
rd /S /Q zemmixneo_%LAYOUT%_layout\single_epbios_sx1_%YENSLASH% >nul 2>nul
rd /S /Q zemmixneo_%LAYOUT%_layout\single_epbios_zemmixneobr_%YENSLASH% >nul 2>nul
ren zemmixneo_%LAYOUT%_layout\single_epbios_zemmixneo_%YENSLASH% single_epbios_msxboy_%YENSLASH% >nul 2>nul
copy zemmixneo_%LAYOUT%_layout\single_epbios_msxboy_%YENSLASH%\%PROJECT%.pld %DEST%MSX%FNAME%%LAYOUT%.PLD >nul 2>nul
echo BFLASH MSX%FNAME%%LAYOUT%.PLD>%DEST%MSX%FNAME%%LAYOUT%.BAT
goto:eof

:create_BFLASH_BAT
set OUTPUT=%DEST%BFLASH.BAT
rem.>%OUTPUT%
echo ECHO>>%OUTPUT%
echo IF {%%1} == {} ECHO *** Missing parameter [filename.pld]>>%OUTPUT%
echo IF {%%1} == {} EXIT>>%OUTPUT%
echo IF NOT EXIST %%1 ECHO *** File not found>>%OUTPUT%
echo IF NOT EXIST %%1 EXIT>>%OUTPUT%
echo CLS>>%OUTPUT%
echo ECHO OCM-PLD UPDATE for MSX Boy>>%OUTPUT%
echo ECHO ==========================>>%OUTPUT%
echo ECHO>>%OUTPUT%
echo ECHO Firmware: %%1>>%OUTPUT%
echo ECHO Version:  %VERSION%>>%OUTPUT%
echo ECHO>>%OUTPUT%
echo SET EXPERT ON>>%OUTPUT%
echo PLDFLASH %%1>>%OUTPUT%
echo ECHO>>%OUTPUT%
set OUTPUT=%DEST%BFLASH.TXT
rem.>%OUTPUT%
echo.>>%OUTPUT%
echo OCM-PLD UPDATE for MSX Boy>>%OUTPUT%
echo ==========================>>%OUTPUT%
echo.>>%OUTPUT%
echo MSXBOY??.PLD ... MSX Boy (Zemmix Neo)>>%OUTPUT%
echo.>>%OUTPUT%
echo ?? = keyboard layouts>>%OUTPUT%
echo.>>%OUTPUT%
echo Examples:>>%OUTPUT%
echo.>>%OUTPUT%
echo FLASH MSXBOYJP.PLD>>%OUTPUT%
echo FLASH MSXBOYUS.PLD>>%OUTPUT%
echo.>>%OUTPUT%
goto:eof

:err_PLDFLASH_COM
if "%1"=="" color f0
echo.&echo 'pldflash.com' not found!
goto ocm_sm

:quit
if "%1"=="" waitfor /T %TIMEOUT% pause 2>nul
